import request from '@/utils/request'

// 分页查询
export const pageList = (query) => {
  return request({
    url: '/order/orderInfo/teamOrderlist',
    method: 'get',
    params: query
  })
}


// id获取详情
export function getSelectById(id) {
  return request({
    url: '/order/orderInfo/teamOrderDetail?id=' + id,
    method: 'get'
  })
}

// 对公支付
export const gotoCorporatePay = (data) => {
  return request({
    url: '/order/orderInfo/gotoCorporatePay',
    method: 'post',
    data: data
  })
}

//  导出
export function downOrderListXls(params) {
  return request({
    url: '/order/orderInfo/teamOrderlistExport',
    method: 'get',
    responseType: 'blob',
    params
  });
}